Subject: Re: [pim] clarification on RFC 4601 Section 4.8

From: Jeff Tantsura <[email-masked]>
Date: Wed, 4 Aug 2010 07:35:30 -0400

Hi Indranil,

I'm quite aware of its functionality ;)
Christopher is going to implement SSM so mapping would be really helpful if end hosts don't support IGMPv3.

Regards,
Jeff

________________________________
From: Indranil Bhattacharya
To: Jeff Tantsura
Cc: [email-masked] ; [email-masked]
Sent: Tue Aug 03 19:33:09 2010
Subject: Re: [pim] clarification on RFC 4601 Section 4.8

Hi Jeff,

         SSM-MAP is used when router supports PIM-SSM but the host has not upgraded to IGMPv3. In this case router does not support PIM-SSM.

Thanks,
Indranil

On Wed, Aug 4, 2010 at 2:53 AM, Jeff Tantsura <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Don't forget to consider ssm-mapping function.

Regards,
Jeff

________________________________
From: [email-masked]<mailto:[email-masked]>
To: christopher affleck
Cc: [email-masked]<mailto:[email-masked]>
Sent: Tue Aug 03 14:59:22 2010
Subject: Re: [pim] clarification on RFC 4601 Section 4.8

I think dropping the SSM groups will be the right thing to do. This will avoid interoperability problems.

Thanks,
Indranil

On Tue, Aug 3, 2010 at 6:36 PM, christopher affleck <[email-masked]<mailto:[email-masked]>> wrote:
Indranil,
     I appreciate your quick response.  At this point, I am not planning on dropping PIM and IGMP messages carrying SSM groups.  Should I?  What is the right thing to do?

Christopher Affleck

On 08/03/2010 12:27 AM, Indranil Bhattacharya wrote:
Hi Chistopher,

   I don't think you will be out of conformance. Yes, it applies only if you implement SSM. The question is that in absence of SSM, how should PIM SM handle SSM grooup addresses? Are you going to drop pim and igmp messages carrying ssm groups?

Thanks,
Indranil

On Tue, Aug 3, 2010 at 10:00 AM, Christopher Affleck <[email-masked]<mailto:[email-masked]>> wrote:
Good Evening,
   I am looking for a little bit of clarification  on section 4.8.1
of RFC 4601.  Is his section optional if my PIM-SM implementation does
not support SSM, or would I be out of conformance with the spec?  In
other words, does this only apply if I implement SSM?

4.8.1.  Protocol Modifications for SSM Destination Addresses

  The following rules override the normal PIM-SM behavior for a
  multicast address G in the SSM range:

  o A router MUST NOT send a (*,G) Join/Prune message for any reason.

  o A router MUST NOT send an (S,G,rpt) Join/Prune message for any
  reason.

  o A router MUST NOT send a Register message for any packet that is
    destined to an SSM address.

  o A router MUST NOT forward packets based on (*,G) or (S,G,rpt)
    state.  The (*,G)- and (S,G,rpt)-related state summarization macros
    are NULL for any SSM address, for the purposes of packet
    forwarding.

  o A router acting as an RP MUST NOT forward any Register-encapsulated
    packet that has an SSM destination address.

Thanks in advance,

Christopher Affleck
[email-masked]<mailto:[email-masked]>
_______________________________________________
pim mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pim

---

From: christopher affleck <[email-masked]>
Date: Wed, 04 Aug 2010 06:07:27 -0700

Jeff and Indranil,

     Thanks for your comments.  You've given me what I need so that I 
can move ahead.

Sincerely,

Christopher Affleck

On 08/04/2010 04:35 AM, Jeff Tantsura wrote:
> Christopher is going to implement SSM so mapping would be really 
> helpful if end hosts don't support IGMPv3.
>
>
> Regards,
> Jeff
>
> ------------------------------------------------------------------------
> *From*: Indranil Bhattacharya
> *To*: Jeff Tantsura
> *Cc*: [email-masked] ; [email-masked]
> *Sent*: Tue Aug 03 19:33:09 2010
> *Subject*: Re: [pim] clarification on RFC 4601 Section 4.8
> Hi Jeff,
>          SSM-MAP is used when router supports PIM-SSM but the host has 
> not upgraded to IGMPv3. In this case router does not support PIM-SSM.
> Thanks,
> Indranil
>
> On Wed, Aug 4, 2010 at 2:53 AM, Jeff Tantsura 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hi,
>
>     ------------------------------------------------------------------------
>     *From*: [email-masked] <mailto:[email-masked]>
>     *To*: christopher affleck
>     *Cc*: [email-masked] <mailto:[email-masked]>
>     *Sent*: Tue Aug 03 14:59:22 2010
>     *Subject*: Re: [pim] clarification on RFC 4601 Section 4.8
>     I think dropping the SSM groups will be the right thing to do.
>     This will avoid interoperability problems.
>     Thanks,
>     Indranil
>
>     On Tue, Aug 3, 2010 at 6:36 PM, christopher affleck
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>         Indranil,
>              I appreciate your quick response.  At this point, I am
>         not planning on dropping PIM and IGMP messages carrying SSM
>         groups.  Should I?  What is the right thing to do?
>
>         Christopher Affleck
>
>
>
>>            I don't think you will be out of conformance. Yes, it
>>         applies only if you implement SSM. The question is that in
>>         absence of SSM, how should PIM SM handle SSM grooup
>>         addresses? Are you going to drop pim and igmp messages
>>         carrying ssm groups?
>>         Thanks,
>>         Indranil
>>
>>         On Tue, Aug 3, 2010 at 10:00 AM, Christopher Affleck
>>         <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>             Good Evening,
>>             [email-masked] <mailto:[email-masked]>
>>             [email-masked] <mailto:[email-masked]>